> ## Documentation Index
> Fetch the complete documentation index at: https://developers.uqpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create SubAccount

> 该端点允许你在以下受支持的业务线之一下创建子账户：

- `ACQUIRING`
- `BANKING`
- `ISSUING`

每个子账户都必须归类为 `COMPANY`（企业）或 `INDIVIDUAL`（个人）实体。

子账户创建后，必须通过审核并被激活，才能使用。

对于 `COMPANY` 类型的子账户，通常需要提供额外文件才能完成入驻。请使用[获取附加文件](/zh/account-center/v1.6/api-reference/get-additional-documents)端点，获取适用于你的场景的必需和可选文件清单。




## OpenAPI

````yaml /zh/account-center/v1.6/connect.yaml post /v1/accounts/create_accounts
openapi: 3.0.2
info:
  version: 0.0.1
  x-source-en-commit: 77b7b49
  x-source-en-path: account-center/v1.6/connect.yaml
  title: Connect
  description: 这些 API 用于管理关联账户。
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox 基础 URL。
  - url: https://api.uqpay.com/api
    description: 生产环境基础 URL。
security: []
tags:
  - name: Account Center
    description: 在受支持的业务线（Acquiring、Banking、Issuing）下创建和管理子账户。
  - name: Accounts
    description: 借助 Connect，你可以为你的用户创建 UQPAY 账户。为此，你需要先注册你的平台。
  - name: Request for Information (RFI)
    description: 获取并回复在入驻或持续审查期间针对你的账户发起的信息索取请求（RFI）。
paths:
  /v1/accounts/create_accounts:
    post:
      tags:
        - Account Center
      summary: Create SubAccount
      description: >
        该端点允许你在以下受支持的业务线之一下创建子账户：


        - `ACQUIRING`

        - `BANKING`

        - `ISSUING`


        每个子账户都必须归类为 `COMPANY`（企业）或 `INDIVIDUAL`（个人）实体。


        子账户创建后，必须通过审核并被激活，才能使用。


        对于 `COMPANY`
        类型的子账户，通常需要提供额外文件才能完成入驻。请使用[获取附加文件](/zh/account-center/v1.6/api-reference/get-additional-documents)端点，获取适用于你的场景的必需和可选文件清单。
      operationId: create-sub-account
      requestBody:
        description: 请从以下实体类型中选择一项。
        content:
          application/json:
            schema:
              type: object
              discriminator:
                propertyName: entity_type
                mapping:
                  INDIVIDUAL:
                    $ref: '#/components/schemas/ACCOUNTCENTER_INDIVIDUAL'
                  COMPANY:
                    $ref: '#/components/schemas/ACCOUNTCENTER_COMPANY'
              properties:
                entity_type:
                  type: string
              oneOf:
                - $ref: '#/components/schemas/ACCOUNTCENTER_INDIVIDUAL'
                  title: Individual Account
                - $ref: '#/components/schemas/ACCOUNTCENTER_COMPANY'
                  title: Company Account
      responses:
        '200':
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          description: 账户创建成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountCreateResponse'
                title: AccountCreateResponse
      security:
        - XAuthToken: []
components:
  schemas:
    ACCOUNTCENTER_INDIVIDUAL:
      type: object
      description: 有关申请该账户的个人的信息。
      required:
        - entity_type
        - nickname
      properties:
        entity_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_EntityType'
        nickname:
          $ref: '#/components/schemas/ACCOUNTCENTER_Nickname'
        individual_info:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualInfo'
        identity_verification:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentityVerification'
        expected_activity:
          $ref: '#/components/schemas/ACCOUNTCENTER_ExpectedActivity'
        proof_documents:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProofDocuments'
        tos_acceptance:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosAcceptance'
    ACCOUNTCENTER_COMPANY:
      type: object
      description: 有关申请该账户的公司的信息。
      required:
        - entity_type
        - nickname
        - inherit
      properties:
        entity_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_EntityType'
        inherit:
          $ref: '#/components/schemas/ACCOUNTCENTER_Inherit'
        nickname:
          $ref: '#/components/schemas/ACCOUNTCENTER_Nickname'
        company_info:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyInfo'
        company_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyAddress'
        ownership_details:
          $ref: '#/components/schemas/ACCOUNTCENTER_OwnershipDetails'
        business_details:
          $ref: '#/components/schemas/ACCOUNTCENTER_BusinessDetails'
        additional_documents:
          $ref: '#/components/schemas/ACCOUNTCENTER_AdditionalDocuments'
        tos_acceptance:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosAcceptance'
    AccountCreateResponse:
      type: object
      required:
        - account_id
        - short_reference_id
        - status
        - verification_status
      properties:
        account_id:
          $ref: '#/components/schemas/AccountId'
        short_reference_id:
          type: string
          example: P220406-LLCVLRM
          description: 账户的短引用 ID。
        status:
          $ref: '#/components/schemas/AccountStatus'
        verification_status:
          $ref: '#/components/schemas/VerificationStatus'
    ACCOUNTCENTER_EntityType:
      type: string
      description: |
        该账户的实体类型。
      enum:
        - COMPANY
        - INDIVIDUAL
      example: COMPANY
    ACCOUNTCENTER_Nickname:
      type: string
      description: 该账户的昵称。
      example: MyTechCorp
      maxLength: 100
    ACCOUNTCENTER_IndividualInfo:
      type: object
      description: |
        个人账户注册的个人信息。

        - 当 `entity_type` 为 `INDIVIDUAL` 时必填。
        - `gender` 与 `annual_income` 自 2026-07-02 起，对个人类型 SubAccount 为必填。
      properties:
        first_name_english:
          $ref: '#/components/schemas/ACCOUNTCENTER_FirstNameEnglish'
        last_name_english:
          $ref: '#/components/schemas/ACCOUNTCENTER_LastNameEnglish'
        name_in_other_language:
          $ref: '#/components/schemas/ACCOUNTCENTER_NameInOtherLanguage'
        nationality:
          $ref: '#/components/schemas/ACCOUNTCENTER_Nationality'
        tax_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_TaxNumber'
        phone_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_PhoneNumber'
        email_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_EmailAddress'
        date_of_birth:
          $ref: '#/components/schemas/ACCOUNTCENTER_DateOfBirth'
        gender:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualGender'
        country_or_territory:
          $ref: '#/components/schemas/ACCOUNTCENTER_CountryOrTerritory'
        street_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_StreetAddress'
        apartment_suite_or_floor:
          $ref: '#/components/schemas/ACCOUNTCENTER_ApartmentSuiteOrFloor'
        city:
          $ref: '#/components/schemas/ACCOUNTCENTER_City'
        state:
          $ref: '#/components/schemas/ACCOUNTCENTER_State'
        postal_code:
          $ref: '#/components/schemas/ACCOUNTCENTER_PostalCode'
        employment_status:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualEmploymentStatus'
        industry:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualIndustry'
        job_title:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualJobTitle'
        company_name:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualCompanyName'
        annual_income:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualAnnualIncome'
      required:
        - first_name_english
        - last_name_english
        - nationality
        - phone_number
        - email_address
        - date_of_birth
        - country_or_territory
        - street_address
        - city
        - state
        - postal_code
        - employment_status
        - industry
        - job_title
        - company_name
        - gender
        - annual_income
    ACCOUNTCENTER_IdentityVerification:
      type: object
      description: |
        个人的身份验证信息。

        - 当 `entity_type` 为 `INDIVIDUAL` 时必填。
      properties:
        identification_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentificationType'
        identification_value:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentificationValue'
        identity_docs:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentityDocs'
        face_docs:
          $ref: '#/components/schemas/ACCOUNTCENTER_FaceDocs'
      required:
        - identification_type
        - identification_value
        - identity_docs
    ACCOUNTCENTER_ExpectedActivity:
      type: object
      description: |
        - 当 `entity_type` 为 `INDIVIDUAL` 时必填。
      required:
        - account_purpose
        - banking_countries
        - banking_currencies
        - internationally
        - turnover_monthly
        - turnover_monthly_currency
      properties:
        account_purpose:
          $ref: '#/components/schemas/ACCOUNTCENTER_IndividualAccountPurposeArray'
        other_purpose:
          $ref: '#/components/schemas/ACCOUNTCENTER_OtherPurpose'
        banking_countries:
          $ref: '#/components/schemas/ACCOUNTCENTER_BankingCountries'
        banking_currencies:
          $ref: '#/components/schemas/ACCOUNTCENTER_BankingCurrencies'
        internationally:
          $ref: '#/components/schemas/ACCOUNTCENTER_Internationally'
        turnover_monthly:
          $ref: '#/components/schemas/ACCOUNTCENTER_TurnoverMonthly'
        turnover_monthly_currency:
          $ref: '#/components/schemas/ACCOUNTCENTER_TurnoverMonthlyCurrency'
    ACCOUNTCENTER_ProofDocuments:
      type: object
      description: |
        - 当 `entity_type` 为 `INDIVIDUAL` 时必填。
      properties:
        proof_of_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProofOfAddress'
        source_of_funds:
          $ref: '#/components/schemas/ACCOUNTCENTER_SourceOfFunds'
          description: |
            文件引用。支持 base64 编码内容或由 UQPAY 签发的文件 ID。

            - 当子账户需要申请虚拟账户（VA）时必填。
        proof_of_position_and_income:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProofOfPositionAndIncome'
        other_proof:
          description: 其他字段未涵盖的可选证明文件。
          type: array
          items:
            $ref: '#/components/schemas/ACCOUNTCENTER_OtherProof'
    ACCOUNTCENTER_TosAcceptance:
      type: object
      description: 有关该账户接受 UQPAY 服务协议的详细信息。此属性仅可针对 Custom 账户更新。
      required:
        - ip
        - date
        - user_agent
      properties:
        ip:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosIp'
        date:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosDate'
        user_agent:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosUserAgent'
        tos_agreement:
          $ref: '#/components/schemas/ACCOUNTCENTER_TosAgreement'
    ACCOUNTCENTER_Inherit:
      type: integer
      description: |
        表示该子账户是否从主账户继承信息。
        - `1`：从主账户继承信息。
        - `-1`：不从主账户继承信息。

        当 `entity_type` 为 `INDIVIDUAL` 时留空。
      enum:
        - 1
        - -1
      example: 1
    ACCOUNTCENTER_CompanyInfo:
      type: object
      description: |
        商户公司信息。

        - 当 `inherit` 为 `1` 时留空。
      properties:
        legal_business_name:
          $ref: '#/components/schemas/ACCOUNTCENTER_LegalBusinessName'
        legal_business_name_english:
          $ref: '#/components/schemas/ACCOUNTCENTER_LegalBusinessNameEnglish'
        country_of_incorporation:
          $ref: '#/components/schemas/ACCOUNTCENTER_CountryOfIncorporation'
        company_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyType'
        phone_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_PhoneNumber'
        email_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_EmailAddress'
        company_registration_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyRegistrationNumber'
        tax_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_TaxType'
        tax_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_TaxNumber'
        incorparate_date:
          $ref: '#/components/schemas/ACCOUNTCENTER_IncorporateDate'
        certification_of_incorporation:
          $ref: '#/components/schemas/ACCOUNTCENTER_CertificationOfIncorporation'
      required:
        - legal_business_name
        - legal_business_name_english
        - country_of_incorporation
        - company_type
        - phone_number
        - email_address
        - company_registration_number
        - incorparate_date
        - certification_of_incorporation
    ACCOUNTCENTER_CompanyAddress:
      type: object
      description: |
        你公司的法定地址。

        - 当 `inherit` 为 `1` 时留空。
      properties:
        street_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_StreetAddress'
        apartment_suite_or_floor:
          $ref: '#/components/schemas/ACCOUNTCENTER_ApartmentSuiteOrFloor'
        city:
          $ref: '#/components/schemas/ACCOUNTCENTER_City'
        state:
          $ref: '#/components/schemas/ACCOUNTCENTER_State'
        postal_code:
          $ref: '#/components/schemas/ACCOUNTCENTER_PostalCode'
      required:
        - street_address
        - city
        - state
        - postal_code
    ACCOUNTCENTER_OwnershipDetails:
      type: object
      description: |
        股权信息，包括代表人和证明文件。

        - 当 `inherit` 为 `1` 时留空。
      properties:
        representatives:
          $ref: '#/components/schemas/ACCOUNTCENTER_Representatives'
        shareholder_docs:
          $ref: '#/components/schemas/ACCOUNTCENTER_ShareholderDocs'
      required:
        - representatives
        - shareholder_docs
    ACCOUNTCENTER_BusinessDetails:
      type: object
      description: 公司业务详情。
      properties:
        country_or_territory:
          $ref: '#/components/schemas/ACCOUNTCENTER_CountryOrTerritory'
        street_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_StreetAddress'
        apartment_suite_or_floor:
          $ref: '#/components/schemas/ACCOUNTCENTER_ApartmentSuiteOrFloor'
        city:
          $ref: '#/components/schemas/ACCOUNTCENTER_City'
        state:
          $ref: '#/components/schemas/ACCOUNTCENTER_State'
        postal_code:
          $ref: '#/components/schemas/ACCOUNTCENTER_PostalCode'
        industry:
          $ref: '#/components/schemas/ACCOUNTCENTER_Industry'
        turnover_monthly:
          $ref: '#/components/schemas/ACCOUNTCENTER_TurnoverMonthly'
        number_of_employee:
          $ref: '#/components/schemas/ACCOUNTCENTER_NumberOfEmployee'
        website_url:
          $ref: '#/components/schemas/ACCOUNTCENTER_WebsiteUrl'
        company_description:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyDescription'
        account_purpose:
          $ref: '#/components/schemas/ACCOUNTCENTER_CompanyAccountPurposeArray'
        banking_currencies:
          $ref: '#/components/schemas/ACCOUNTCENTER_BankingCurrencies'
        banking_countries:
          $ref: '#/components/schemas/ACCOUNTCENTER_BankingCountries'
        issuing_countries:
          $ref: '#/components/schemas/ACCOUNTCENTER_IssuingCountries'
        issuing_monthly:
          $ref: '#/components/schemas/ACCOUNTCENTER_IssuingMonthly'
      required:
        - country_or_territory
        - street_address
        - city
        - state
        - postal_code
        - industry
        - turnover_monthly
        - number_of_employee
    ACCOUNTCENTER_AdditionalDocuments:
      type: object
      description: >
        账户申请的额外证明文件。


        你可以使用[获取附加文件](/zh/account-center/v1.6/api-reference/get-additional-documents)端点获取必需和可选的文件类型。


        通常在 BANKING 业务线下创建 COMPANY 类型的子账户时使用。
      properties:
        required_docs:
          type: array
          description: 必需证明文件的列表。
          items:
            $ref: '#/components/schemas/ACCOUNTCENTER_DocumentItem'
        option_docs:
          type: array
          description: 可选证明文件的列表。
          items:
            $ref: '#/components/schemas/ACCOUNTCENTER_DocumentItem'
      required:
        - required_docs
    AccountId:
      type: string
      example: f5bb6498-552e-40a5-b14b-616aa04ac1c1
      description: 账户的唯一标识符。
    AccountStatus:
      type: string
      example: PROCESSING
      description: |
        账户的状态。为以下之一：

          * ACTIVE - 账户已激活。
          * PROCESSING - 账户当前正在审核和处理中。
          * INACTIVE - 账户暂时未激活
          * CLOSED - 账户已关闭。
    VerificationStatus:
      type: string
      example: APPROVED
      enum:
        - APPROVED
        - PENDING
        - REJECT
        - EXPIRED
        - RETURN
      description: |
        KYC/KYB 的状态。为以下之一：

          * REJECT - 账户在身份验证过程中被拒绝。
          * APPROVED - 账户已通过验证且处于激活状态。
          * PENDING - 账户当前正在进行身份验证。
          * EXPIRED - 验证已过期。
          * RETURN - 账户已被退回以进行身份验证，需要重新上传。

          **Webhook 说明：** 在 `accountStatus` webhook 通知中，这两个状态
          分别以 `REJECTED` 和 `RETURNED` 下发（而非 `REJECT` / `RETURN`）。
          其他所有值均相同。参见
          [账户状态 webhook](/zh/account-center/v1.6/webhooks/account-status)。
    ACCOUNTCENTER_FirstNameEnglish:
      type: string
      description: 个人的英文名字。
      example: Zhang
    ACCOUNTCENTER_LastNameEnglish:
      type: string
      description: 个人的英文姓氏。
      example: Wei
    ACCOUNTCENTER_NameInOtherLanguage:
      type: string
      description: |
        其他语言形式的姓名（如适用）。
      example: 张伟
      maxLength: 100
    ACCOUNTCENTER_Nationality:
      type: string
      description: 国籍（ISO 3166-1 alpha-2 代码）。
      example: SG
    ACCOUNTCENTER_TaxNumber:
      type: string
      description: |
        税务识别号码。
        总长度不得超过 100 个字符。
      example: '440300074445'
      maxLength: 100
    ACCOUNTCENTER_PhoneNumber:
      type: string
      description: 企业联系电话号码，包含国家/地区代码。
      example: '+12025550123'
      maxLength: 25
    ACCOUNTCENTER_EmailAddress:
      type: string
      format: email
      description: 企业联系邮箱地址。
      example: admin@example.com
      maxLength: 100
    ACCOUNTCENTER_DateOfBirth:
      type: string
      format: date
      description: 出生日期（YYYY-MM-DD）。
      example: '1980-01-01'
    ACCOUNTCENTER_IndividualGender:
      type: string
      description: 个人性别。
      enum:
        - MALE
        - FEMALE
      example: MALE
    ACCOUNTCENTER_CountryOrTerritory:
      type: string
      description: 国家或地区（ISO 3166-1 alpha-2 代码）。
      example: SG
    ACCOUNTCENTER_StreetAddress:
      type: string
      description: |
        公司的街道地址，即你开展大部分工作的地址。
      example: 123 Orchard Road
      maxLength: 100
    ACCOUNTCENTER_ApartmentSuiteOrFloor:
      type: string
      description: |
        公寓、套间、单元或楼层（如适用）。
      example: Suite 88, Level 10
      maxLength: 100
    ACCOUNTCENTER_City:
      type: string
      description: |
        公司地址所在的城市。
      example: San Francisco
      maxLength: 100
    ACCOUNTCENTER_State:
      type: string
      description: 公司地址所在的州或省。
      example: CA
    ACCOUNTCENTER_PostalCode:
      type: string
      description: |
        公司地址的邮政编码。
      example: '238888'
      maxLength: 100
    ACCOUNTCENTER_IndividualEmploymentStatus:
      type: string
      description: |
        该个人当前的就业状态。必须为受支持的值之一。
      enum:
        - Employed
        - Self-Employed
        - Unemployed
        - Student
        - Retired
        - Homemaker
        - Other
      example: Employed
    ACCOUNTCENTER_IndividualIndustry:
      type: string
      description: >
        该个人所从事的行业。必须为受支持的值之一。

        完整的可接受值列表参见[枚举参考 —
        个人账户字段](/zh/account-center/v1.6/guide/enum-reference)。
      example: Information Technology/IT
    ACCOUNTCENTER_IndividualJobTitle:
      type: string
      description: >
        该个人的职位或角色。必须为受支持的值之一。

        完整的可接受值列表参见[枚举参考 —
        个人账户字段](/zh/account-center/v1.6/guide/enum-reference)。
      example: Business and administration professionals
    ACCOUNTCENTER_IndividualCompanyName:
      type: string
      description: |
        该个人所在公司或组织的名称。
        允许的字符：字母、数字、空格，以及 `.,&()\-+%#@*!$^_?~\`。
      maxLength: 100
      pattern: ^[a-zA-Z0-9 .,&()\-+%#@*!$^_?~\\]+$
      example: Acme Corp.
    ACCOUNTCENTER_IndividualAnnualIncome:
      type: string
      description: 个人年收入，币种为 USD。
      example: '85000'
    ACCOUNTCENTER_IdentificationType:
      type: string
      description: |
        身份证件的类型。
      enum:
        - PASSPORT
        - DRIVERS_LICENSE
        - NATIONAL_ID
      example: PASSPORT
    ACCOUNTCENTER_IdentificationValue:
      type: string
      description: 身份证件号码。
      example: E12345678
      maxLength: 100
    ACCOUNTCENTER_IdentityDocs:
      type: array
      items:
        type: string
      description: |
        身份证件，支持 base64 编码内容或文件 ID。
    ACCOUNTCENTER_FaceDocs:
      type: array
      items:
        type: string
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
      description: >
        该个人的人脸验证文件。

        接受 base64 编码的文件或文件 ID。


        要求：

        - 如果**主账户类型 = TPSP**，则创建子账户时必须进行 KYC。在这种情况下，至少有一人必须提供 `face_docs`。

        - 对于 `entity_type = COMPANY`：至少一名 `job_title` =
        `DIRECTOR`、`BENEFICIAL_OWNER` 或 `AUTHORISED_PERSON` 的代表人必须提供
        `face_docs`。

        - 对于 `entity_type = INDIVIDUAL`：`face_docs` 为必填。
    ACCOUNTCENTER_IndividualAccountPurposeArray:
      type: array
      description: 申报的开户用途（适用于 `INDIVIDUAL` 实体类型）。
      items:
        $ref: '#/components/schemas/ACCOUNTCENTER_IndividualAccountPurpose'
    ACCOUNTCENTER_OtherPurpose:
      type: string
      description: 如果 `account_purpose` 包含 `OTHERS`，请指明实际用途。
      example: freelance payment collection
    ACCOUNTCENTER_BankingCountries:
      type: array
      description: |
        用户银行业务活动所涉及的国家/地区。

        当 `business_type` 为 `ACQUIRING` 或 `ISSUING` 时留空。
      items:
        type: string
        example: SG
    ACCOUNTCENTER_BankingCurrencies:
      type: array
      description: |
        银行交易中使用的币种。

        当 `business_type` 为 `ACQUIRING` 或 `ISSUING` 时留空。
      items:
        type: string
        example: SGD
    ACCOUNTCENTER_Internationally:
      type: number
      description: |
        表示该账户是否会涉及国际交易，包括跨境收款或付款。
        - `0`：否
        - `1`：是
      enum:
        - 0
        - 1
      example: 1
    ACCOUNTCENTER_TurnoverMonthly:
      type: string
      example: TM001
      description: |
        当月的业务总收入，以美元估算。

        - `TM001`：低于 50,000
        - `TM002`：50,000 至 100,000
        - `TM003`：100,000 至 250,000
        - `TM004`：250,000 至 500,000
        - `TM005`：超过 500,000
      enum:
        - TM001
        - TM002
        - TM003
        - TM004
        - TM005
    ACCOUNTCENTER_TurnoverMonthlyCurrency:
      type: string
      description: 预计每月交易额所用的币种。
      example: USD
    ACCOUNTCENTER_ProofOfAddress:
      type: array
      items:
        type: string
      description: 地址证明文件。对 INDIVIDUAL 实体类型为可选。
    ACCOUNTCENTER_SourceOfFunds:
      type: array
      items:
        type: string
      description: |
        文件引用。支持 base64 编码内容或由 UQPAY 签发的文件 ID。

        - 当子账户需要申请虚拟账户（VA）时必填。
    ACCOUNTCENTER_ProofOfPositionAndIncome:
      type: array
      items:
        type: string
      description: 证明就业或收入的可选文件。
    ACCOUNTCENTER_OtherProof:
      allOf:
        - $ref: '#/components/schemas/ACCOUNTCENTER_FileReference'
      description: 其他字段未涵盖的可选证明文件。
    ACCOUNTCENTER_TosIp:
      type: string
      format: ipv4
      description: 账户代表人接受其服务协议时所使用的 IP 地址。
      example: 192.168.1.1
    ACCOUNTCENTER_TosDate:
      type: string
      format: date-time
      description: 账户代表人接受其服务协议的日期。
      example: '2025-07-17T08:00:00Z'
    ACCOUNTCENTER_TosUserAgent:
      type: string
      description: 账户代表人接受其服务协议时所使用浏览器的 user agent。
      example: >-
        Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36
        (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36
    ACCOUNTCENTER_TosAgreement:
      type: integer
      description: |
        表示是否应自动签署 TPSP 服务条款（ToS）。

        - **仅当** `master account type = TPSP` 时适用。
        - 如果该值设为 `1`，将自动签署 TPSP 协议。
        - 任何其他值（包括省略）均无效。
      example: 1
    ACCOUNTCENTER_LegalBusinessName:
      type: string
      description: |
        该企业在其注册成立国家/地区的法定名称。
      example: Tech Innovations Ltd
      maxLength: 100
    ACCOUNTCENTER_LegalBusinessNameEnglish:
      type: string
      description: |
        企业的英文法定名称。
      example: Tech Innovations Limited
      pattern: ^[A-Za-z0-9!@#$%^&*()\-_=+,.?/:;{}\[\]'~\s]+$
      maxLength: 100
    ACCOUNTCENTER_CountryOfIncorporation:
      type: string
      description: 该企业注册成立的国家/地区（ISO 3166-1 alpha-2 代码）。
      example: US
    ACCOUNTCENTER_CompanyType:
      type: string
      description: |
        公司实体的类型。
      enum:
        - SOLE_PROPRIETOR
        - LIMITED_COMPANY
        - PARTNERSHIP
        - LISTED
        - OTHERS
      example: LIMITED_COMPANY
    ACCOUNTCENTER_CompanyRegistrationNumber:
      type: string
      description: |
        公司的官方注册编号。
        总长度不得超过 100 个字符。
      example: '123456789'
      pattern: ^[a-zA-Z0-9.\-()/]+$
      maxLength: 100
    ACCOUNTCENTER_TaxType:
      type: string
      description: 税务登记的类型。
      enum:
        - VAT
        - GST
        - TAX
      example: VAT
    ACCOUNTCENTER_IncorporateDate:
      type: string
      format: date
      description: 公司注册成立日期（YYYY-MM-DD）。
      example: '2010-09-20'
    ACCOUNTCENTER_CertificationOfIncorporation:
      type: array
      items:
        type: string
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
      description: |
        公司注册证书。
        接受 base64 编码的文件或文件 ID。
    ACCOUNTCENTER_Representatives:
      type: array
      description: 公司代表人的列表。
      items:
        $ref: '#/components/schemas/ACCOUNTCENTER_Representative'
    ACCOUNTCENTER_ShareholderDocs:
      type: array
      items:
        type: string
        example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
      description: |
        股东证明文件。
        接受 base64 编码的文件或文件 ID。
    ACCOUNTCENTER_Industry:
      type: string
      description: |
        公司的主营行业。仅接受字符串类型的数字值。

        完整的代码列表参见[行业代码映射](/zh/account-center/v1.6/guide/industry-code-mapping)。
      example: '0742'
    ACCOUNTCENTER_NumberOfEmployee:
      type: string
      example: BS001
      description: |
        当前为该企业工作的员工、承包商、供应商等人数的估计上限。

        - `BS001`：0-1 名员工
        - `BS002`：2-10 名员工
        - `BS003`：11-50 名员工
        - `BS004`：51-200 名员工
        - `BS005`：超过 200 名员工
      enum:
        - BS001
        - BS002
        - BS003
        - BS004
        - BS005
    ACCOUNTCENTER_WebsiteUrl:
      type: string
      description: |
        公司的官方网站 URL。
      example: https://www.example.com
      maxLength: 100
    ACCOUNTCENTER_CompanyDescription:
      type: string
      description: 对公司业务的简要描述。
      example: Leading provider of digital payment solutions.
    ACCOUNTCENTER_CompanyAccountPurposeArray:
      type: array
      description: 申报的开户用途（适用于 `COMPANY` 实体类型）。
      items:
        $ref: '#/components/schemas/ACCOUNTCENTER_CompanyAccountPurpose'
    ACCOUNTCENTER_IssuingCountries:
      type: array
      description: |
        支持的发卡国家/地区（以逗号分隔或按系统要求提供）。

        当 `business_type` 为 `ACQUIRING` 或 `BANKING` 时留空。
      items:
        type: string
        example: SG
    ACCOUNTCENTER_IssuingMonthly:
      type: string
      example: TM001
      description: |
        所有币种卡交易的预计每月额度，以美元表示。当 `business_type` 为 `ISSUING` 时必填。

        - `TM001`：低于 50,000
        - `TM002`：50,000 至 100,000
        - `TM003`：100,000 至 250,000
        - `TM004`：250,000 至 500,000
        - `TM005`：超过 500,000
      enum:
        - TM001
        - TM002
        - TM003
        - TM004
        - TM005
    ACCOUNTCENTER_DocumentItem:
      type: object
      description: 文件信息项。
      properties:
        profile_key:
          $ref: '#/components/schemas/ACCOUNTCENTER_ProfileKey'
        doc_str:
          $ref: '#/components/schemas/ACCOUNTCENTER_DocStr'
      required:
        - profile_key
        - doc_str
    ACCOUNTCENTER_IndividualAccountPurpose:
      type: string
      description: |
        开户用途。当 `entity_type` 为 `INDIVIDUAL` 时可用。

        当 `business_type` 为 `ACQUIRING` 或 `ISSUING` 时留空。
      enum:
        - PURCHASE
        - BILL_PAYMENT
        - EDUCATIONAL_EXPENSES
        - PERSONAL_REMITTANCE
        - CHARITABLE_DONATION
        - LOAN_REPAYMENT
        - INVESTMENT
        - OTHERS
    ACCOUNTCENTER_FileReference:
      type: string
      description: |
        文件引用。支持 base64 编码内容或由 UQPAY 签发的文件 ID。
      example: b3d9d2d5-4c12-4946-a09d-953e82sed2b0
    ACCOUNTCENTER_Representative:
      type: object
      description: |
        公司代表人信息。
      properties:
        legal_first_name_english:
          $ref: '#/components/schemas/ACCOUNTCENTER_LegalFirstNameEnglish'
        legal_last_name_english:
          $ref: '#/components/schemas/ACCOUNTCENTER_LegalLastNameEnglish'
        name_in_other_language:
          $ref: '#/components/schemas/ACCOUNTCENTER_NameInOtherLanguage'
        email_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_EmailAddress'
        is_applicant:
          $ref: '#/components/schemas/ACCOUNTCENTER_IsApplicant'
        job_title:
          $ref: '#/components/schemas/ACCOUNTCENTER_JobTitle'
        ownership_percentage:
          $ref: '#/components/schemas/ACCOUNTCENTER_OwnershipPercentage'
        nationality:
          $ref: '#/components/schemas/ACCOUNTCENTER_Nationality'
        tax_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_TaxNumber'
        phone_number:
          $ref: '#/components/schemas/ACCOUNTCENTER_PhoneNumber'
        date_of_birth:
          $ref: '#/components/schemas/ACCOUNTCENTER_DateOfBirth'
        country_or_territory:
          $ref: '#/components/schemas/ACCOUNTCENTER_CountryOrTerritory'
        street_address:
          $ref: '#/components/schemas/ACCOUNTCENTER_StreetAddress'
        apartment_suite_or_floor:
          $ref: '#/components/schemas/ACCOUNTCENTER_ApartmentSuiteOrFloor'
        city:
          $ref: '#/components/schemas/ACCOUNTCENTER_City'
        state:
          $ref: '#/components/schemas/ACCOUNTCENTER_State'
        postal_code:
          $ref: '#/components/schemas/ACCOUNTCENTER_PostalCode'
        identification_type:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentificationType'
        identification_value:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentificationValue'
        identity_docs:
          $ref: '#/components/schemas/ACCOUNTCENTER_IdentityDocs'
        other_documents:
          $ref: '#/components/schemas/ACCOUNTCENTER_OtherDocuments'
        face_docs:
          $ref: '#/components/schemas/ACCOUNTCENTER_FaceDocs'
      required:
        - legal_first_name_english
        - legal_last_name_english
        - is_applicant
        - job_title
        - nationality
        - date_of_birth
        - country_or_territory
        - street_address
        - city
        - state
        - postal_code
        - identification_type
        - identification_value
        - identity_docs
    ACCOUNTCENTER_CompanyAccountPurpose:
      type: string
      description: |
        开户用途。当 `entity_type` 为 `COMPANY` 时可用。

        当 `business_type` 为 `ACQUIRING` 或 `ISSUING` 时留空。
      enum:
        - BUSINESS_PAYMENT
        - BILL_PAYMENT
        - CHARITABLE_DONATION
        - LOAN_REPAYMENT
        - INVESTMENT
        - COLLECTION_OF_BUSINESS
        - OTHERS
      example: PURCHASE
    ACCOUNTCENTER_ProfileKey:
      type: string
      description: 表示资料或文件类型的唯一键。
      example: ARTICLES_OF_ASSOCIATION
    ACCOUNTCENTER_DocStr:
      type: string
      description: 文件值，支持 base64 或文件 ID。
      example: 5135e6cc-28b6-4889-81dc-3b86a09e1395
    ACCOUNTCENTER_LegalFirstNameEnglish:
      type: string
      description: |
        英文法定名字。
      example: John
      maxLength: 100
    ACCOUNTCENTER_LegalLastNameEnglish:
      type: string
      description: |
        英文法定姓氏。
      example: Doe
      maxLength: 100
    ACCOUNTCENTER_IsApplicant:
      type: string
      description: |
        该代表人是否为申请人。只能有一名代表人为 1。
      enum:
        - '0'
        - '1'
      example: '1'
    ACCOUNTCENTER_JobTitle:
      type: string
      description: |
        代表人的职位。
      enum:
        - DIRECTOR
        - BENEFICIAL_OWNER
        - BENEFICIAL_OWNER_AND_DIRECTOR
        - AUTHORISED_PERSON
      example: DIRECTOR
    ACCOUNTCENTER_OwnershipPercentage:
      type: string
      description: 持股比例（如适用）。
      example: '50.0'
    ACCOUNTCENTER_OtherDocuments:
      type: array
      description: |
        其他文件，支持 base64 编码内容或文件 ID。
      items:
        $ref: '#/components/schemas/ACCOUNTCENTER_OtherDocumentsItem'
    ACCOUNTCENTER_OtherDocumentsItem:
      type: object
      required:
        - type
        - doc_str
      properties:
        type:
          type: string
          enum:
            - PROOF_OF_ADDRESS
            - OTHERS
          description: 文件类型。
          example: PROOF_OF_ADDRESS
        doc_str:
          $ref: '#/components/schemas/ACCOUNTCENTER_FileReference'
  headers:
    XResponseId:
      description: 响应的全局唯一标识符（UUID v4）。在与 UQPAY 支持团队沟通时，有助于定位某个请求。
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: 由 UQPAY 提供的登录 API Token。

````